package com.example.gajz.transferrelationship.thread;
import com.baidu.hugegraph.driver.GraphManager;
import com.baidu.hugegraph.driver.HugeClient;
import com.baidu.hugegraph.structure.constant.T;
import com.example.gajz.transferrelationship.bean.vo.TransferredPersonVo;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;

/**
 * 收款人顶点数据导入线程2
 * @author lenovo
 */
public class ThreadsMultipleVerticesTwo  implements Runnable{

    List<TransferredPersonVo> transferredPersonList;

    public void ThreadsMultipleVerticesTwoList(List<TransferredPersonVo> transferredPersonVos){
        this.transferredPersonList=transferredPersonVos;
    }
    @Override
    public void run() {
        SimpleDateFormat df = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        System.out.println("顶点数据导入线程2开始"+df.format(new Date()));
        HugeClient hugeClient = HugeClient.builder("http://36.148.1.253:8289","hugegraph2")
                /*** 默认未开启用户权限*/
                .configUser("**", "**")
                .build();
        GraphManager graph = hugeClient.graph();
        for (int i=0;i<transferredPersonList.size();i++){
            /**添加收款人顶点数据*/
            graph.addVertex(
                    /**设置ID*/
                    T.id, transferredPersonList.get(i).getEndCardNo(),
                    T.label, "收款人",
                    /**设置收款次数*/
                    "收款次数", transferredPersonList.get(i).getNumber());
        }
        System.out.println("顶点数据导入线程2结束"+df.format(new Date()));
//        hugeClient.close();
    }
}
